Bug 176992 - The worlds most useless dialog.
The worlds most useless dialog.
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
David Lawrence
: 179374 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-01-04 22:23 EST by Dave Jones
Modified: 2015-01-04 17:24 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.90-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-14 01:47:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Best. Dialog. Ever! (5.40 KB, image/png)
2006-01-04 22:23 EST, Dave Jones
no flags Details
New usermode package to test. (447.29 KB, application/x-rpm)
2006-01-30 05:21 EST, Jindrich Novy
no flags Details
usermode testing binary #1 (158.10 KB, application/x-rpm)
2006-01-31 08:59 EST, Jindrich Novy
no flags Details
usermode testing binary rpm #2 (124.88 KB, application/x-rpm)
2006-01-31 09:07 EST, Jindrich Novy
no flags Details

  None (edit)
Description Dave Jones 2006-01-04 22:23:33 EST
ssh into a box, and just type 'reboot'.

You get the attached dialog, which is devoid of any useful information at all.
Comment 1 Dave Jones 2006-01-04 22:23:33 EST
Created attachment 122805 [details]
Best. Dialog. Ever!
Comment 2 Jindrich Novy 2006-01-05 03:41:54 EST
How are the versions of pam and usermode on the box you see this? The Best
Dialog Ever ;) is displayed when pam returns an unknown exit code usermode is
unable to handle. The versions of both will help me figure out what's going on.
Comment 3 Dave Jones 2006-01-05 20:34:05 EST
latest rawhide..


this has actually been around for a while, but I've been lazy at reporting this.
Comment 4 Jindrich Novy 2006-01-13 08:41:41 EST
Could you add here /etc/pam.d/reboot and /etc/pam.d/system-auth to let me figure
out which pam module is the culprit?
Comment 5 Dave Jones 2006-01-13 16:12:48 EST
The remote boxes I'd ssh'd into are running current rawhide, with no
modifications to these files..

(16:16:02:davej@nemesis:~)$ cat /etc/pam.d/reboot
auth       sufficient   pam_rootok.so
auth       required     pam_console.so
#auth       include     system-auth
account    required     pam_permit.so
(16:16:09:davej@nemesis:~)$ cat /etc/pam.d/system-auth
# This file is auto-generated.
# User changes will be destroyed the next time authconfig is run.
auth        required      /lib/security/$ISA/pam_env.so
auth        sufficient    /lib/security/$ISA/pam_unix.so likeauth nullok
auth        required      /lib/security/$ISA/pam_deny.so

account     required      /lib/security/$ISA/pam_unix.so
account     sufficient    /lib/security/$ISA/pam_succeed_if.so uid < 100 quiet
account     required      /lib/security/$ISA/pam_permit.so

password    requisite     /lib/security/$ISA/pam_cracklib.so retry=3
password    sufficient    /lib/security/$ISA/pam_unix.so nullok use_authtok md5
password    required      /lib/security/$ISA/pam_deny.so

session     required      /lib/security/$ISA/pam_limits.so
session     required      /lib/security/$ISA/pam_unix.so
Comment 6 Jindrich Novy 2006-01-16 10:40:18 EST
Weird, works for me with the same configs. When ssh -X to a FC4/rawhide box and
type reboot I get:

[jnovy@obelix ~]$ reboot
reboot: must be superuser.

There's usermode-1.85-1 and pam- installed on the box.
Comment 7 Jindrich Novy 2006-01-27 10:12:43 EST
Dou you have SELinux enabled btw.?
Comment 8 Dave Jones 2006-01-27 15:34:17 EST
yes, selinux is enabled (though it makes no difference if its disabled)

I neglected to mention in comment #1, that I was actually running 'sudo reboot',
not just 'reboot'
Comment 9 Jindrich Novy 2006-01-30 05:21:33 EST
Created attachment 123861 [details]
New usermode package to test.

Could you please compile and install this package and send output from the
`sudo reboot` here? It'll dump some debuginfo. I can read from it what happens
there. I bet it's unknown pam module or something.
Comment 10 Dave Jones 2006-01-30 12:40:15 EST
hrmph. there are a bunch of missing build depends there. (libattr-devel,
libICE-devel, libSM-devel)  The build also fails in the end with unpackaged files..

RPM build errors:
    user jnovy does not exist - using root
    group jnovy does not exist - using root
    user jnovy does not exist - using root
    group jnovy does not exist - using root
    Installed (but unpackaged) file(s) found:

If you want to just point me at an x86-64 binary rpm, it'll probably be less
Comment 11 Jindrich Novy 2006-01-31 08:59:42 EST
Created attachment 123909 [details]
usermode testing binary #1
Comment 12 Jindrich Novy 2006-01-31 09:07:16 EST
Created attachment 123911 [details]
usermode testing binary rpm #2

Ok, attaching the binaries so that you can test it without messing with the
SRPMS compilation.
Comment 13 Dave Jones 2006-02-01 16:13:12 EST
Running child pid=2823.
Exec arg 0 = "/usr/sbin/userhelper".
Exec arg 1 = "-w".
Exec arg 2 = "reboot".
userhelper: ruid user = 'root'
userhelper: current user is root
userhelper: ruid user = 'root'
userhelper: user for auth = 'root'
userhelper: authenticating "root"
userhelper: PAM retval = 0 (Success)
userhelper: about to exec "/sbin/reboot"
EOF from child.
Child 2823 exited (looking for 2823).
Child 2823 exited abnormally.
Child 2823 died on signal 11.
Child returned exit status 255.
Status is "Unknown error.".
Quitting main loop 1.
Child exited, continuing.

It dumped a core, which gdb tells me..

Core was generated by `/usr/sbin/userhelper -w reboot'.
Program terminated with signal 11, Segmentation fault.

Loaded symbols for /lib64/libnss_files.so.2
#0  0x0000000000403aeb in converse_pipe ()
(gdb) bt
#0  0x0000000000403aeb in converse_pipe ()
#1  0x00000000004040e2 in pipe_conv_exec_start ()
#2  0x000000000040524e in wrap ()
#3  0x0000000000405ce1 in main ()

Comment 14 Dave Jones 2006-02-01 16:17:22 EST
*** Bug 179374 has been marked as a duplicate of this bug. ***
Comment 15 Miloslav Trmač 2007-03-14 01:47:31 EDT
Fixed in rawhide usermode-1.90-1.  Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.